#This is a comment line

####### The Basics: Calculations #######

12+23
15/2
2^4
exp(2)
sqrt(100)
log(10)
abs(-4)


####### The Basics: Variables #######

x=5    # <- and = do the same thing
y<-10
z=8
x+y-z
name<-"David"
rm(x)   # rm() removes the variable from memory


####### Vectors of Values #######
scores<-c(65,75,80,88,82,99,100,100,50)   # c() is a function that combines Values into a Vector
scores 
sort(scores)  # sort() is a function that sorts the values in a vector (ascendingly, by default)
scores 

names<-c("Nikita","Dexter","Sherlock") 
names 


####### Indexing Vectors #######
scores
scores[1]       # returns the first element
scores[2:3]     # returns the second to third elements
scores[c(1,4)]  # returns the first and fourth elements


####### Simple Statistics #######
scores
length(scores)
min(scores)
max(scores)
mean(scores)
median(scores)
sd(scores)
var(scores)
summary(scores)


####### data frames #######
BMI<-data.frame(
  gender = c("Male","Male","Female"), 
  height = c(152,171.5,165), 
  weight = c(81,93,78),
  Age = c(42,38,26)
)
BMI
BMI[1,3]    # returns the cell value in the first row, second column
BMI[1,]     # returns everything in the first row
BMI[,3]     # returns everything in the third row
BMI[[2]]    # returns the second column as a vector
BMI$height  # returns the "height" column as a vector
mean(BMI$height)  # returns the mean of "height" column

####### Packages #######
describe(scores)                 # In some cases, we have to install a package to use a function
install.packages("psych")        # To install a package
require(psych)                   # To load a package; can also use library(psych)
describe(scores)                 # After loading the package, you can use functions included in the package

if (!require("psych")) { install.packages("psych")
  require("psych") }             # In this class, we will use this statement to install and load a package

####### Import data into R #######
# Hint: 1) Save the file to same folder where you saved the source code
#       2) Click the menu Session>Set Working Directory> To Source File Location
teamData <- read.csv("2009BaseballTeamStats.csv")

summary(teamData) # Summary statistics
summary(teamData$Runs) # Return summary statistics of "Runs" column
describe(teamData$Runs)# Descriptive statistics
describeBy(teamData$Runs,teamData$League) # Descriptive statistics by league
t.test(teamData$Runs~teamData$League) # t-test for differences in average runs by League


####### Visualization in R #######
hist(teamData$BattingAvg,        # Draw histogram
     xlab="Batting Average", 
     main="Histogram: Batting Average")

plot(teamData$BattingAvg,teamData$WinningPct,  # Plot data
     xlab="Batting Average", 
     ylab="Winning Percentage", 
     main="Do Teams With Better Batting Averages Win More?")



####### Get more help #######
help(sort)
